int foo() {
  int arr[] = {1,2,3};
  int acc = 0;
  for (int i = 0; i < 3; i++) {
    acc += arr[i];
  }
  return acc;
}

void baz(int *a) {
  *a += 1;
}

void bar() {
  int a = 0;
  baz(&a);
}

int main() {
  return 0;
}
